Get recipient consumer disclosure
Retrieves the HTML-formatted Electronic Record and Signature Disclosure (ERSD) for the envelope recipient that you specify. This disclosure might differ from the account-level disclosure, based on the signing brand applied to the envelope and the recipient’s language settings.
To set the language of the disclosure that you want to retrieve, specify the langCode as either a path or query parameter.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
(Optional) The code for the signer language version of the disclosure that you want to retrieve, as a query parameter. The following languages are supported:
- Arabic (
ar) - Bulgarian (
bg) - Czech (
cs) - Chinese Simplified (
zh_CN) - Chinese Traditional (
zh_TW) - Croatian (
hr) - Danish (
da) - Dutch (
nl) - English US (
en) - English UK (
en_GB) - Estonian (
et) - Farsi (
fa) - Finnish (
fi) - French (
fr) - French Canadian (
fr_CA) - German (
de) - Greek (
el) - Hebrew (
he) - Hindi (
hi) - Hungarian (
hu) - Bahasa Indonesian (
id) - Italian (
it) - Japanese (
ja) - Korean (
ko) - Latvian (
lv) - Lithuanian (
lt) - Bahasa Melayu (
ms) - Norwegian (
no) - Polish (
pl) - Portuguese (
pt) - Portuguese Brazil (
pt_BR) - Romanian (
ro) - Russian (
ru) - Serbian (
sr) - Slovak (
sk) - Slovenian (
sl) - Spanish (
es) - Spanish Latin America (
es_MX) - Swedish (
sv) - Thai (
th) - Turkish (
tr) - Ukrainian (
uk) - Vietnamese (
vi)
Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser.
A local reference used to map recipients to other objects, such as specific document tabs.
A recipientId must be
either an integer or a GUID,
and the recipientId must be
unique within an envelope.
For example, many envelopes assign the first recipient
a recipientId of 1.
Response
When true, indicates that the customer can withdraw their consent to the consumer disclosure when they decline to sign documents. If these recipients sign documents sent to them from your account in the future, they will be required to agree to the terms in the disclosure. The default value is false. Note: Only Admin users can change this setting.
Metadata that indicates whether a property is editable and describes setting-specific options.
If the customer needs to change their email address, this is the email address to which they should the change request.
Maximum length: 100 characters.
Other information about the requirements for the user to change their email address.
Maximum length: 255 characters.
Example:
We do not require any other information from you to change your email address.
Specifies the company name used in the disclosure. The default value is the account name.
However, if your account uses signing brands that specify a company name, you can substitute the brand’s company name by setting the useBrand property to true. Whenever an envelope is sent from the account that uses a signing brand with a specified companyName, that value is used in email notifications and in the signing experience.
Note: This substitution only works if you use the default legal disclosure or if you apply the companyName to the merge fields in a custom ERSD. You must also set the value of the useBrand property to true.
The phone number of the company associated with the consumer disclosure, as a free-formatted string.
The cost per page if the customer requests paper copies.
Example:
0.0000
Specifies the fee collection method for cases in which the customer requires paper copies of the document.
Maximum length: 255 characters.
Example:
We will bill you for any fees at that time, if any.
The email address to which the customer should send a request for copies of a document.
Maximum length: 100 characters.
When true, indicates that the consumer disclosure is a custom disclosure. The default is false.
When true (default), indicates that eSign is enabled.
The final, assembled text of the Electronic Record and Signature Disclosure that includes the appropriate companyName and other specifics. It also includes the HTML tags used for formatting.
The template for the Electronic Record and Signature Disclosure, which contains placeholders for information such as the companyName. It also includes the HTML tags used for formatting.
Note: If you are switching to or updating a custom disclosure, you can edit both the text and the HTML formatting.
The code for the language version of the disclosure. The following languages are supported:
- Arabic (
ar) - Bulgarian (
bg) - Czech (
cs) - Chinese Simplified (
zh_CN) - Chinese Traditional (
zh_TW) - Croatian (
hr) - Danish (
da) - Dutch (
nl) - English US (
en) - English UK (
en_GB) - Estonian (
et) - Farsi (
fa) - Finnish (
fi) - French (
fr) - French Canadian (
fr_CA) - German (
de) - Greek (
el) - Hebrew (
he) - Hindi (
hi) - Hungarian (
hu) - Bahasa Indonesian (
id) - Italian (
it) - Japanese (
ja) - Korean (
ko) - Latvian (
lv) - Lithuanian (
lt) - Bahasa Melayu (
ms) - Norwegian (
no) - Polish (
pl) - Portuguese (
pt) - Portuguese Brazil (
pt_BR) - Romanian (
ro) - Russian (
ru) - Serbian (
sr) - Slovak (
sk) - Slovenian (
sl) - Spanish (
es) - Spanish Latin America (
es_MX) - Swedish (
sv) - Thai (
th) - Turkish (
tr) - Ukrainian (
uk) - Vietnamese (
vi)
Additionally, you can automatically detect the browser language being used by the viewer and display the disclosure in that language by setting the value to browser.
When true, the recipient must agree to the consumer disclosure. The value of this property is read-only. It is calculated based on the account setting consumerDisclosureFrequency and the user’s actions.
Deprecated.
The pdfId property in the consumer_disclosure PUT request is deprecated. For security reasons going forward, any value provided in the request packet must be ignored.
When true, specifies that the company name in the signing brand is used for the disclosure. Whenever an envelope is sent from the account that uses a signing brand with a specified company name, that value is used in email notifications and in the signing experience.
When false (default), or if the signing brand does not specify a company name, the account name is used instead.
Note: This substitution only works if you use the default legal disclosure or if you apply the companyName to the merge fields in a custom ERSD.
When true, specifies that recipients in the same account as the sender must agree to eSign an Electronic Record and Signature Disclosure Statement.
Metadata that indicates whether a property is editable and describes setting-specific options.
Contains the first address line of the postal address to which a customer can send a consent withdrawal notification.
Maximum length: 100 characters.
Contains the second address line of the postal address to which a customer can send a consent withdrawal notification.
Maximum length: 100 characters.
When true (default), indicates that the customer can withdraw consent by email.
When true, indicates that the customer can withdraw consent by postal mail. The default is false.
When true, indicates that the customer can withdraw consent by phone. The default is false.
Contains the city of the postal address to which a customer can send a consent withdrawal notification.
Maximum length: 50 characters.
Text indicating the consequences of withdrawing consent.
Maximum length: 255 characters.
Contains the email address to which a customer can send a consent withdrawal notification.
Maximum length: 100 characters.
Contains any other information needed to withdraw consent.
Maximum length: 255 characters.
Example:
We do not need any other information from you to withdraw consent.
Contains the phone number that a customer can call to register consent withdrawal notification as a free-formatted string.
Maximum length: 20 characters.
Contains the postal code of the postal address to which a customer can send a consent withdrawal notification.
Maximum length: 20 characters.
Contains the state of the postal address to which a customer can send a consent withdrawal notification.
Example: PA